Bug 1129471 - Enable hipe_compile with rabbitmq
Summary: Enable hipe_compile with rabbitmq
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Peter Lemenkov
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On: 1153129 1292170
Blocks: 1129487
TreeView+ depends on / blocked
 
Reported: 2014-08-12 20:27 UTC by Attila Fazekas
Modified: 2016-10-21 12:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1129487 (view as bug list)
Environment:
Last Closed: 2016-10-21 12:13:31 UTC


Attachments (Terms of Use)

Description Attila Fazekas 2014-08-12 20:27:29 UTC
Description of problem:
The hipe_compile increases the rabbitmq performance a lot (https://www.rabbitmq.com/configure.html)

The rabbitmq puppet module contains related code, but it is not configured to be enabled.

Version-Release number of selected component (if applicable):
ruby193-rubygem-staypuft-0.1.22-1

Actual results:
hipe_compile option is not in the /etc/rabbitmq/rabbitmq.config

Expected results:
Provide way for enabling hipe_compile.
It should be an option on the UI, consider making it as default true on el7.

Comment 2 Mike Burns 2014-08-12 21:03:49 UTC
I don't see this exposed currently in staypuft as an advanced option.

Comment 4 Scott Seago 2014-09-14 19:48:02 UTC
I'll need to check the astapor manifests to see what classes expose this. Currently, anything on the compute nodes, the networker node, and on the HA controllers will automatically be exposed in the advanced params config, but new params added to non-HA controllers must be whitelisted. If this is expected anywhere but non-HA controllers and you don't see it, then it may be a quickstack issue -- if only non-HA controllers are missing it, then it just needs to be added to the whitelist.

Comment 5 Scott Seago 2014-09-30 20:14:56 UTC
I don't think this is supported in astapor right now. Jay -- will this require quickstack work?

Comment 6 Scott Seago 2014-10-01 20:02:57 UTC
Did we confirm that we actually want this to appear in the advanced config UI? If so, we need staypuft work for non-HA only. If we don't need this to appear, only to enable it, then this is astapor/quickstack-only.

Comment 7 Mike Burns 2014-10-07 16:15:49 UTC
This will be exposed as an advanced config only.

Comment 11 Peter Lemenkov 2016-10-21 12:13:31 UTC
I'm afraid this means that we're not going to switch to HiPE anytime soon.


Note You need to log in before you can comment on or make changes to this bug.